Package org.apache.storm.trident.operation.impl

# Class CaptureCollector

java.lang.Object
org.apache.storm.trident.operation.impl.CaptureCollector

All Implemented Interfaces:
  `TridentCollector`

public class CaptureCollector extends Object implements TridentCollector

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `List<List<Object>>`
  `captured`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CaptureCollector()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `emit(List<Object> values)`
  Emits a tuple to a Stream.
  `void`
  `flush()`
  Flush any buffered tuples (when batching is enabled).
  `void`
  `reportError(Throwable t)`
  Reports an error.
  `void`
  `setCollector(TridentCollector coll)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### captured

    public List<List<Object>> captured

- ## Constructor Details

  - ### CaptureCollector

    public CaptureCollector()

- ## Method Details

  - ### setCollector

    public void setCollector(TridentCollector coll)

  - ### emit

    public void emit(List<Object> values)
    Description copied from interface: `TridentCollector`
    Emits a tuple to a Stream.
    Specified by:
      `emit` in interface `TridentCollector`
    Parameters:
      `values` - a list of values of which the tuple will be composed

  - ### flush

    public void flush()
    Description copied from interface: `TridentCollector`
    Flush any buffered tuples (when batching is enabled).
    Specified by:
      `flush` in interface `TridentCollector`

  - ### reportError

    public void reportError(Throwable t)
    Description copied from interface: `TridentCollector`
    Reports an error. The corresponding stack trace will be visible in the Storm UI.

    Note that calling this method does not alter the processing of a batch. To explicitly fail a batch and trigger a replay, components should throw `FailedException`.

    Specified by:
      `reportError` in interface `TridentCollector`
    Parameters:
      `t` - The instance of the error (Throwable) being reported.